OpenFMB DataModel - OpenFMBIssues #7137

2.2 Data Model Final Testing Phase
02/24/2025 12:21 PM - Owen Wu

Status: In Progress Start date: 02/24/2025

Priority: Normal Due date: 03/31/2025

Assignee: OpenFMBReporters % Done: 0%

Category:

Target version:

Final Decision: Version: 2.2

Closed Reason: --Not Set--- Needs More No
Information:

Breaking Change:

Description

7. Create additional test cases for validation (if applicable) (on-hold): Expand on previous tests to include scenarios that validate
all updates made to the data model.

8. Perform integration testing (OES, Eaton + SEL?): Validate that the finalized data model works seamlessly with other
OpenFMB modules and adapters.

9. Prepare testing environment for group testing (OES, Eaton): Set up networks, select use-cases, and identify dependencies
for integration/collaborative testing (e.g., Plugfest)

10. Conduct group testing and demo (OES, Eaton): Organize collaborative testing (e.g., Plugfest) to validate interoperability
and resolve issues collectively.

11. Fix issues found during testing (Owen): Address bugs or inconsistencies found during integration testing.

12. Conduct final round of testing (OES, Eaton): Perform regression testing to validate fixes and ensure no breaking changes
exist.

Related issues:

Related to OpenFMB DataModel - OpenFMBIssues #7136: 2.2 Data Model Pre-release Accepted 02/24/2025
Related to OpenFMB General - OpenFMBIssues #7110: Preparation for the 2.2 rel... Closed 01/22/2025
Related to OpenFMB General - OpenFMBIssues #7108: EVSE Module and Documentati... In Progress  01/22/2025
History

#1 - 02/24/2025 12:22 PM - Owen Wu
- Status changed from New to Triage

- Version set to 2.2

#2 - 02/24/2025 12:22 PM - Owen Wu
- Related to OpenFMBlssues #7136: 2.2 Data Model Pre-release added

#3 - 02/24/2025 12:23 PM - Owen Wu

- Status changed from Triage to Accepted

#4 - 02/24/2025 12:47 PM - Owen Wu
- Related to OpenFMBlssues #7110: Preparation for the 2.2 release in Distributech added

#5 - 02/24/2025 12:52 PM - Owen Wu
- Related to OpenFMBlssues #7108: EVSE Module and Documentation Review added

#6 - 03/05/2025 02:27 PM - Owen Wu
- Due date set to 03/31/2025
- Status changed from Accepted to In Progress

- Assignee set to OpenFMBReporters
